import React, { useState } from 'react';
import { Card, Row, Col, Statistic, Progress, Button, Space } from 'antd';
import styles from './basic.less';
import ResponsibilityImplementation from './components/ResponsibilityImplementation'; 
import OnlineMonitoring from './components/OnlineMonitoring'; 
import RiskAssessment from './components/RiskAssessment';
import EvaluationReport from './components/EvaluationReport';
import LicenseManagement from './components/LicenseManagement'; 



const SafeMajorHazardList = () => {
    const [activeModule, setActiveModule] = useState('organization');

    const handleModuleClick = (module) => {
        setActiveModule(module)
    }


    const renderModule = () => {
        switch (activeModule) {
            case 'organization':
                return <ResponsibilityImplementation />;
            case 'license':
                return <LicenseManagement />;
            case 'equipment':
                return <OnlineMonitoring />;
            case 'firefighting':
                return <RiskAssessment />;
            case 'other':
                return <EvaluationReport />;
            default:
                return <ResponsibilityImplementation />;
        }
    };


    return (
        <div className={styles.container}>
            <div className={styles.TopButton}>
                <Button
                    className={`${styles.TopButtonItem} ${activeModule === "organization" ? styles.active : ""}`}
                    onClick={() => handleModuleClick("organization")}
                >组织机构管理
                </Button>
                <Button
                    className={`${styles.TopButtonItem} ${activeModule === "license" ? styles.active : ""}`}
                    onClick={() => handleModuleClick("license")}
                >资质证照管理
                </Button>
                <Button 
                    className={`${styles.TopButtonItem} ${activeModule === "firefighting" ? styles.active : ""}`}
                    onClick={() => handleModuleClick("firefighting")}
                >设备设施管理
                </Button>
                <Button 
                    className={`${styles.TopButtonItem} ${activeModule === "other" ? styles.active : ""}`}
                    onClick={() => handleModuleClick("other")}
                >建筑消防与器材管理
                </Button>
            </div>
            <div className={styles.content}>
                {renderModule()}
            </div>
        </div>
    );
};

export default SafeMajorHazardList;
